Subject: bug#13335: 24.1; compilation misparses GNU-style message locations

From: Glenn Morris <[email-masked]>
Date: Thu, 10 Jan 2013 15:32:18 -0500

Mattias Engdegård wrote:

>> LINE1-LINE2.COL2    # this seems to be something Emacs made up AFAICS
>
> Is that something we need to keep, or do you consider it a "regression"
> to remove it? It does not look very useful to me (a range of lines but
> the same column?).

It does look fairly nonsensical...

> What about transforming that regexp into rx form, by the way?
> Besides being a more readable form (and fewer backslashes),
> it would also permit explanatory comments to be put at their natural
> places inside.

More comments would be good, but could be inserted just as easily by
breaking the regexp up using concat, so personally I don't see any need
to switch to rx. (I don't always find rx more readable.)